Renew a domain and create a new invoice

Initiate the renewal process for a specific domain. This endpoint creates a new invoice for the renewal and returns an `invoice_id` for retrieving invoice details or initiating payment.

Domain Services Domains

Context

Workflow links

Produces

Path Parameters

id integer · min: 1 required Example: 11958

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.date_created string · Example: 2026-02-10 00:00:00
data.domain_name string · Example: example.com
data.existing_invoice boolean · Example: true
data.invoice_id string required · Example: 51011
data.invoice_status string · enum · Example: Paid
Paid
Unpaid
data.message string · Example: Renewal order created successfully. Redirecting to invoice...

Human-readable message.

data.order_id integer | string required · Example: 35089
data.order_number string · Example: 892669888
data.redirect_url string required · Example: /billing?invoice=51011
data.success boolean · Example: true

True for successful responses.

data.total string · enum · Example: 168.75
168.75
422.50
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domain-renew/{id}
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domain-renew/11958" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "order_id": 35089,
    "invoice_id": "51011",
    "redirect_url": "/billing?invoice=51011",
    "message": "Renewal order created successfully. Redirecting to invoice..."
  }
}